:root {
    --cc_fl-default-bg: #D1D1D1;
    --cc_fl-dark-gray: #1F1F1F;
    --cc_fl-dark-gray-60: rgba(31, 31, 31, 0.60);
    --cc_fl-btn-blue: #0070CC;
    --cc_fl-btn-blue-color: #fff;
    --cc_fl-btn-blue-hover: #0059A3;
    --cc_fl-btn-blue-hover-color: #fff;
    --cc_fl-btn-blue-success: #008A61;
    --cc_fl-white-bg: #fff;
    --cc_fl-hr-bg: rgba(0, 0, 0, 0.10);
}

html.prefers-color-mode-dark {
    --cc_fl-default-bg: #1F1F1F;
    --cc_fl-dark-gray: #C9C9C9;
    --cc_fl-btn-blue: #3CAEFF;
    --cc_fl-btn-blue-color: #fff;
    --cc_fl-btn-blue-hover: #000;
    --cc_fl-btn-blue-hover-color: #3CAEFF;
    --cc_fl-btn-blue-success: #38C08F;
    --cc_fl-dark-gray-60: rgba(201, 201, 201, 0.60);
    --cc_fl-white-bg: #000;
    --cc_fl-hr-bg: rgba(255, 255, 255, 0.15);
}

@media (prefers-color-scheme: dark) {
    html:not(.prefers-color-mode-light) {
        --cc_fl-default-bg: #1F1F1F;
        --cc_fl-dark-gray: #C9C9C9;
        --cc_fl-btn-blue: #3CAEFF;
        --cc_fl-btn-blue-color: #fff;
        --cc_fl-btn-blue-hover-color: #3CAEFF;
        --cc_fl-btn-blue-hover: #000;
        --cc_fl-btn-blue-success: #38C08F;
        --cc_fl-dark-gray-60: rgba(201, 201, 201, 0.60);
        --cc_fl-white-bg: #000;
        --cc_fl-hr-bg: rgba(255, 255, 255, 0.15);
    }
}

.cc_fl_wrapper,
.cc_fl p:empty {display: none;}

.cc_fl_button_blue {padding: 12px 15px;display: inline-block;vertical-align: middle;background-color: #0072c3;color: #fff !important;border: 0;text-decoration: none !important;cursor: pointer;}


/* Custom form Embed */
html, body { min-width: 320px; }
.cc_fl-stage, .cc_fl-stage *, .cc_fl-stage ::after, .cc_fl-stage ::before{ box-sizing: border-box; }

.cc_fl-btn-wrapper{ font-size: 10px; line-height: normal;display: flex;flex-wrap: wrap; justify-content: center; align-items: center; margin-left: -4px; margin-right: -4px; }
.cc_fl-btn { position: relative; display: flex; align-items: center; justify-content: center; font-weight: 700; font-size: 14px; line-height: 1.5; color: #fff; cursor: pointer; padding: 9px 14px; border: transparent solid 2px; border-radius: 100px; min-width: 10px; text-align: center; transition: all .1s ease-in-out; margin: 4px; text-transform: none; will-change: background-color, border-color, color; box-shadow: none !important; outline: 0 !important; text-decoration: none !important; }
.cc_fl-btn-with-icon { padding-left: 11px; padding-right:11px; }

.cc_fl-btn i { font-size: 1.1em; margin: 0 6px; line-height: 1; }
.cc_fl-btn-text { line-height: 1.185; display: flex; align-items: center; margin: 0 6px; position: relative; }
.cc_fl-btn i + .cc_fl-btn-text,
.cc_fl-btn .cc_fl-btn-text + i { margin-inline-start: 0; }

.cc_fl-btn .cc_icon-download { margin-left: -5px !important; margin-right: 3px; }

.cc_fl-btn-text { display: block; margin: 0 6px; position: relative; top: -0.1em; }

.cc_fl-btn > :first-child { margin-left: 0; }
.cc_fl-btn > :last-child { margin-right: 0; }

.cc_fl-btn:not(.disabled):not(:disabled) { opacity: 1 !important; }

.cc_fl-btn:not(:disabled)::before,
.cc_fl-btn:not(.disabled)::before { outline: none; opacity: 0; border-radius: 100px; display: block; content: ''; position: absolute; top: -4px; left: -4px; right: -4px; bottom: -4px; will-change: box-shadow, opacity; transition: all .1s ease-in-out; }

.cc_fl-btn:disabled,
.cc_fl-btn.disabled { opacity: 0.5; pointer-events: none; opacity: 1; background-color: #d1d1d1; border-color: #d1d1d1; }

.cc_fl-btn:hover::before,
.cc_fl-btn:focus::before,
.cc_fl-btn:active::before { opacity: 1; }

.cc_fl-btn::before,
.cc_fl-btn:hover::before,
.cc_fl-btn:focus::before { box-shadow: 0 0 0 2px var(--cc_fl-btn-blue); }
.cc_fl-btn:active::before { box-shadow: 0 0 0 2px var(--cc_fl-btn-blue); }
.cc_fl-btn:disabled,
.cc_fl-btn.disabled { opacity: 0.65; background-color: var(--cc_fl-btn-blue-hover); border-color: var(--cc_fl-btn-blue-hover); }

.cc_fl-btn-blue { color: var(--cc_fl-btn-blue-color) !important; background-color: var(--cc_fl-btn-blue);border-color: transparent; }
.cc_fl-btn-blue:focus { opacity: 1; background-color: var(--cc_fl-btn-blue-hover); color: var(--cc_fl-btn-blue-hover-color) !important; border-color: transparent; }
.cc_fl-btn-blue:hover { opacity: 1; background-color: var(--cc_fl-btn-blue-hover); color: var(--cc_fl-btn-blue-hover-color) !important; border-color: transparent; }
.cc_fl-btn-blue:active { opacity: 1; background-color: var(--cc_fl-btn-blue-hover); color: var(--cc_fl-btn-blue-hover-color) !important; border-color: transparent; }
.cc_fl-btn:disabled,
.cc_fl-btn.disabled { opacity: 0.5; background-color: var(--cc_fl-btn-blue); border-color: var(--cc_fl-btn-blue); }

.cc_fl-btn-blue.success { background-color: transparent; border-color: var(--cc_fl-btn-blue-success); color: var(--cc_fl-btn-blue-success) !important; }
.cc_fl-btn-blue.success::before { display: none; }


/* cc_pfb_icon */
[class*="cc_fl_icon-"] {font-size: 1em; width: 1em; max-width: 1em; flex: 0 0 1em; display: block; position: relative; }
[class*="cc_fl_icon-"]::before { content: ""; display: block; padding-top: 100%; position: relative; width: 100%; z-index: 1; }
[class*="cc_fl_icon-"] svg,
[class*="cc_fl_icon-"] img { display: block; width: 100%; height: 100%; position: absolute; top: 0; left: 0; z-index: 0; transition: transform 0.150s; }

.cc_fl .d-none { display: none !important; }
.cc_fl.invisible { opacity: 0 !important; } 


@media (min-width: 768px) {
    .cc_fl-btn { font-size: 18px; padding: 9.5px 14px; }
    
    .cc_fl-btn-wrapper { justify-content: flex-start; }
}


.cc_fl-tabs { position: relative; width: 100%; max-width: 100%; flex: 0 0 100%; }
.cc_fl-tab { position: relative; width: 100%; display: none; z-index: 0; top: 0; left: 0; transform: translateY(0); opacity: 0; backface-visibility: hidden; transition: 190ms ease-out; flex-direction: column; padding: 0; outline: 0 !important; }
.cc_fl-tab.active { z-index: 1; display: block; opacity: 1; }
.cc_fl-tab.d-block { z-index: 2; display: block; }

.cc_fl-blog-widget { min-width: 320px; position: fixed; top: auto; right: 0; bottom: 0; transform: translateY(calc(100%)); border-radius: 0px 0px 0px 8px;background: var(--cc_fl-default-bg); box-shadow: 0 4px 6px 0 rgba(0, 0, 0, 0.10); z-index: 10000; width: 100%; transition: transform 0.3s ease-in-out; }
.cc_fl-blog-widget.open { transition: transform 0.3s ease-in-out; transform: translateY(0); }
.cc_fl-blog-widget.close { transform: translateY(calc(100% + 30px)); }

.cc_fl-dialog-control { display: flex; align-items: center; justify-content: space-between; width: 88px; height: 30px; position: absolute; background-color: var(--cc_fl-default-bg); right: 0; top: -30px;  border-top-left-radius: 5px; padding: 0 6px; }
.cc_fl-toggle { width: 30px; height: 30px; font-size: 30px; color: var(--cc_fl-dark-gray); display: flex; align-items: center; justify-content: center; padding: 0; background-color: transparent !important; border: 0 !important; pointer-events: all; opacity: 1 !important; }
.cc_fl-dialog-expan { order: -1; }
.cc_fl-dialog-expan > i { transform: rotate(-90deg); transition: transform 0.3s ease; }
.cc_fl-dialog-expan.active > i { transform: rotate(90deg); }
.cc_fl-blog-widget-shape { display: block; content: ''; position: absolute; bottom: 0; left: -15px; right: auto; width: 15px; height:  15px; color: var(--cc_fl-default-bg); transform: rotate(90deg); font-size: 15px; }

.cc_fl-stage { max-height: 100dvh; visibility: hidden; will-change: visibility; width: 100%; position: relative; z-index: 1; overflow: hidden; overflow-y: auto; padding: 0; background-color: var(--cc_fl-default-bg); pointer-events: all; transition: visibility 0s linear 0.3s;  padding: 21px; }
.cc_fl-blog-widget.open .cc_fl-stage { visibility: visible; transition: visibility 0s linear 0s; }

.cc_fl-download-row { display: flex; align-items: center; flex-wrap: wrap; margin-bottom: -21px; }
.cc_fl-download-thumb { aspect-ratio: 138/170; max-width: 120px; flex-shrink: 0; margin-right: 5px; margin-left: -6px; align-self: flex-end; }
.cc_fl-download-thumb > img { width: 100%; height: 100%; display: block; object-fit: cover; object-position: top; }
.cc_fl-download-content { flex: 1 1 auto; width: 1%; font-size: 15px; text-align: center; padding-bottom: 10px; }
.cc_fl-download-content h2 { margin: 0 0 5px 0; color: var(--cc_fl-dark-gray); font-size: 17px; line-height: 1.25;  }
.cc_fl-download-content > p { margin: 0 0 10px 0; }
.cc_fl-download-content .cc_fl-btn { width: 100%; }
.cc_fl-download-btn > i { display: none; bottom: 0.12em; }
.cc_fl-download-btn.success > i { display: block; }

@media (min-width: 360px) { 
    .cc_fl-download-thumb { max-width: 138px; margin-right: 10px; }
}

@media (min-width: 768px) {
    .cc_fl-stage { padding: 30px; border-radius: 5px; }
    .cc_fl-blog-widget { transform: translate(calc(100%), -50%); top: 50%; max-width: 380px; bottom: auto; }
    .cc_fl-blog-widget.open { transform: translate(0, -50%); }
    .cc_fl-blog-widget.close { transform: translate(calc(100% + 30px), -50%); }
    .cc_fl-dialog-control { width: 30px; height: 88px; right: auto; top: 0; left: -30px; border-bottom-left-radius: 5px; padding: 6px 0; flex-direction: column }
    .cc_fl-blog-widget-shape { bottom: -15px; left: auto; right: 0;; transform: none; }
    .cc_fl-dialog-expan { order: 0; }
    .cc_fl-dialog-expan > i { transform: rotate(180deg); }
    .cc_fl-download-content > p { margin: 0 0 16px 0; }
    .cc_fl-dialog-expan.active > i { transform: rotate(0); }

    .cc_fl-download-row { margin-bottom: 0; flex-direction: column; }
    .cc_fl-download-thumb { aspect-ratio: 1/2; max-width: 150px; margin: 0 0 16px 0; align-self: center; }
    .cc_fl-download-content { flex: 0 0 100%; width: 100%; font-size: 18px; padding-bottom: 0; }
    .cc_fl-download-content h2 { margin: 0 0 8px 0; font-size: 20px; }
    .cc_fl-download-content > p { margin: 0 0 16px 0; }
    .cc_fl-download-thumb > img { object-position: center center; }
}

@media (min-width: 1400px) {
    .cc_fl-blog-widget { transform: translateX(100%); top: auto; bottom: 0; }
    .cc_fl-blog-widget.open { transform: translateX(0); }
    .cc_fl-blog-widget.close { transform: translateX(calc(100% + 30px)); }
}

@media (min-width: 1400px) and (min-height: 650px) {
    .cc_fl-blog-widget {  bottom: 127px; }
}

.cc_fl-won-head { margin-bottom: 5px; display: flex; align-items: center; flex-wrap: wrap; justify-content: center; }
.cc_fl-won-party-thumb { aspect-ratio: 1 / 1; width: 20px; margin-right: 10px; }
.cc_fl-won-head h2 { margin: 0; color: var(--cc_fl-dark-gray); font-size: 17px; line-height: 1.25; }
.cc_fl-form-desc { font-size: 15px; text-align: center; margin-bottom: 10px; }
.cc_fl-form-desc p { margin: 0 0 5px 0; color: var(--cc_fl-dark-gray); }
.cc_fl-form-desc > *:last-child { margin-bottom: 0; }
.cc_fl-form-desc .cc_fl-vaild-lbl { font-size: 12px; color: var(--cc_fl-dark-gray-60); }
.cc_fl-code-input { height: 50px; border-radius: 8px; background-color: var(--cc_fl-white-bg); padding: 8px 8px 11px 8px; border: 1px solid var(--cc_fl-white-bg); outline: 0; text-transform: uppercase; width: 100%; text-align: center; font-size: 24px; letter-spacing: 2.4px; font-weight: 700; color: var(--cc_fl-btn-blue); }
.cc_fl-btn-link { display: inline-flex; justify-content: center; align-items: center; color: var(--cc_fl-btn-blue) !important; text-decoration: none; font-size: 14px; font-weight: 500; line-height: 1.5; }
.cc_fl-btn-link > i { margin-left: 5px; transition: transform 0.3s ease; font-size: 16px; }
.cc_fl-btn-link:hover > i,
.cc_fl-btn-link:focus > i { transform: translateX(3px); }
.cc_fl-code-input-wrapper { width: 100%; margin-bottom: 12px; }
.cc_fl-copy-btn { width: 100%; }
.cc_fl-copy-btn > i { display: none; bottom: 0.12em; } 
.cc_fl-copy-btn.success > i { display: block; }
.cc_fl-code-input::-webkit-input-placeholder { color: var(--cc_fl-btn-blue); }
.cc_fl-code-input::-moz-placeholder { color: var(--cc_fl-btn-blue); }
.cc_fl-code-input:-ms-input-placeholder { color: var(--cc_fl-btn-blue); }
.cc_fl-code-input::-ms-input-placeholder { color: var(--cc_fl-btn-blue); }
.cc_fl-code-input::placeholder { color: var(--cc_fl-btn-blue); }
.cc_fl-form-content hr { background-color: var(--cc_fl-hr-bg); margin: 10px 0; }
.cc_fl-btn-link-wrap { display: flex; justify-content: center; }

@media (min-width: 768px) {
    .cc_fl-won-head { margin-bottom: 8px; }
    .cc_fl-won-party-thumb { width: 25px; }
    .cc_fl-won-head h2 { font-size: 20px; }
    .cc_fl-form-desc { font-size: 18px; margin-bottom: 20px; }
    .cc_fl-form-desc p { margin: 0 0 10px 0; }
    .cc_fl-form-desc .cc_fl-vaild-lbl { font-size: 14px; }
    .cc_fl-code-input { height: 57px; font-size: 28px; }
    .cc_fl-code-input-wrapper { margin-bottom: 16px; }
    .cc_fl-form-content hr { margin: 16px 0; }
}

